Jump to content

  • You cannot start a new topic
  • You cannot reply to this topic

Errors On Php 7.1 Rate Topic   - - - - -

 
  • memel
  • Member
  • Members
  • Join Date: 29-May 17
  • 34 posts

Posted 11 January 2018 - 08:37 PM #1

Hello,

 

On PHP7.1 getting error:

 

Warning: ini_set() has been disabled for security reasons in /home/test/public_html/app/Tygh/Bootstrap.php on line 43

Warning: ini_set() has been disabled for security reasons in /home/test/public_html/app/Tygh/Bootstrap.php on line 44

Warning: ini_set() has been disabled for security reasons in /home/test/public_html/app/Tygh/Bootstrap.php on line 45

Warning: ini_set() has been disabled for security reasons in /home/test/public_html/app/Tygh/Bootstrap.php on line 46

Warning: ini_set() has been disabled for security reasons in /home/test/public_html/app/Tygh/Bootstrap.php on line 47

Warning: ini_set() has been disabled for security reasons in /home/test/public_html/app/Tygh/Bootstrap.php on line 51

Warning: require_once(Net/IDNA2/Exception.php): failed to open stream: No such file or directory in /home/test/public_html/app/lib/pear/Net/IDNA2.php on line 26

Fatal error: require_once(): Failed opening required 'Net/IDNA2/Exception.php' (include_path='.:/opt/cpanel/ea-php71/root/usr/share/pear') in /home/test/public_html/app/lib/pear/Net/IDNA2.php on line 26

 

Any advise please.



 
  • martfox
  • Member
  • Authorized Reseller
  • Join Date: 15-Jan 10
  • 445 posts

Posted 11 January 2018 - 10:09 PM #2

You need to enable ini_set() on server or create custom php.ini for your account/website. If you don't have access to php.ini you will need to ask your hosting provider to make the changes.


CS-Cart with 1 Year FREE Web Hosting | CS-Cart optimized SSD Cloud VPS Servers from €10.00/month
.
VPS SSD Cloud from €10.00 *** Dedicated Servers *** CS-Cart Authorized Reseller and Web Hosting Provider


 
  • memel
  • Member
  • Members
  • Join Date: 29-May 17
  • 34 posts

Posted 12 January 2018 - 08:08 PM #3

You need to enable ini_set() on server or create custom php.ini for your account/website. If you don't have access to php.ini you will need to ask your hosting provider to make the changes.

 

Thank you for your answer.

 

I did some research and found out to enable ini_set() is not safe. But without it mv4.7.1 not working on php7.1?



 
  • martfox
  • Member
  • Authorized Reseller
  • Join Date: 15-Jan 10
  • 445 posts

Posted 12 January 2018 - 09:34 PM #4

Thank you for your answer.

 

I did some research and found out to enable ini_set() is not safe. But without it mv4.7.1 not working on php7.1?

 

It won't work on any php version. Simply, it needs to be enabled, like by Wordpress, Joomla, any ecommerce scripts etc. If your server is secured right (like with mod_security) there isn't a reason for a pain. No one 'php function' is "secure". If you disable all the php functions mentionted on web as "not secure" , then no php site will work properly.

 

If you take a look at this list of "dangerous" php functions https://www.plothost...hosting-server/and disable it, then forget any php site to get working.


CS-Cart with 1 Year FREE Web Hosting | CS-Cart optimized SSD Cloud VPS Servers from €10.00/month
.
VPS SSD Cloud from €10.00 *** Dedicated Servers *** CS-Cart Authorized Reseller and Web Hosting Provider